package data.missions.fox_asdf;

import com.fs.starfarer.api.fleet.FleetGoal;
import com.fs.starfarer.api.fleet.FleetMemberType;
import com.fs.starfarer.api.mission.FleetSide;
import com.fs.starfarer.api.mission.MissionDefinitionAPI;
import com.fs.starfarer.api.mission.MissionDefinitionPlugin;

public class MissionDefinition implements MissionDefinitionPlugin {

	public void defineMission(MissionDefinitionAPI api) {

		// Set up the fleets
		api.initFleet(FleetSide.PLAYER, "ISS", FleetGoal.ATTACK, false);
		api.initFleet(FleetSide.ENEMY, "CDS", FleetGoal.ATTACK, true);
		
		// Set a small blurb for each fleet that shows up on the mission detail and
		// mission results screens to identify each side.
		api.setFleetTagline(FleetSide.PLAYER, "Traitors");
		api.setFleetTagline(FleetSide.ENEMY, "Citadel Fleet");
		
		// These show up as items in the bulleted list under 
		// "Tactical Objectives" on the mission detail screen
		api.addBriefingItem("Defeat the enemy fleet.");			

		// Set up the player's fleet

		api.addToFleet(FleetSide.PLAYER, "Fox_Strike_test", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Strike_test", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Strike_test", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Strike_test", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Strike_test", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Strike_test", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Strike_test", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Strike_test", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Strike_test", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Strike_test", FleetMemberType.SHIP, false);

		// Set up the enemy fleet

		api.addToFleet(FleetSide.ENEMY, "onslaught_Elite", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "dominator_Assault", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "dominator_Assault", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "enforcer_Elite", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "enforcer_Elite", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "enforcer_Elite", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "enforcer_Elite", FleetMemberType.SHIP, false);
		
		
		// Set up the map.
		float width = 10000f;
		float height = 16000f;
		api.initMap((float)-width/2f, (float)width/2f, (float)-height/2f, (float)height/2f);
		
		float minX = -width/2;
		float minY = -height/2;
		
		for (int i = 0; i < 50; i++) {
			float x = (float) Math.random() * width - width/2;
			float y = (float) Math.random() * height - height/2;
			float radius = 100f + (float) Math.random() * 400f; 
			api.addNebula(x, y, radius);
		}
		
        //api.setBackgroundSpriteName("graphics/BR/backgrounds/obsidianBG.jpg");
		
		// Add objectives
		api.addObjective(minX + width * 0.25f, minY + height * 0.25f, "nav_buoy");
		api.addObjective(minX + width * 0.75f, minY + height * 0.25f, "comm_relay");
		api.addObjective(minX + width * 0.75f, minY + height * 0.75f, "nav_buoy");
		api.addObjective(minX + width * 0.25f, minY + height * 0.75f, "comm_relay");
		api.addObjective(minX + width * 0.5f, minY + height * 0.5f, "sensor_array");
		
		// // Add a randomized asteroid field, maybe
		// if ((float) Math.random() > 0.5f) {
		// 	api.addAsteroidField(10f + (float) Math.random() * (width - 20f), 10f + (float) Math.random() * (height - 20f), (float) Math.random() * 360f, (float) Math.random() * 1000 + 1000,
		// 						 20f, 70f, (int) ((float) Math.random() * 100 + 50));
		// }
	}

}






