package data.scripts;

import com.fs.starfarer.api.BaseModPlugin;
import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.PluginPick;
import com.fs.starfarer.api.campaign.CampaignPlugin;
import com.fs.starfarer.api.combat.MissileAIPlugin;
import com.fs.starfarer.api.combat.MissileAPI;
import com.fs.starfarer.api.combat.ShipAPI;
import data.scripts.ai.ParabolaAI;
//import data.scripts.world.CitadelGeduneGen;
import data.scripts.world.citadel.DefendersGen;
import org.dark.shaders.light.LightData;
import org.dark.shaders.util.TextureData;
import org.dark.shaders.util.ShaderLib;

public class CITModPlugin extends BaseModPlugin {

    private static void initCIT() {
        try {
            Global.getSettings().getScriptClassLoader().loadClass("data.scripts.world.ExerelinGen");
        } catch (ClassNotFoundException ex) {
            new DefendersGen().generate(Global.getSector());
        }
        //boolean theresGed = true;

        /*try {
            Global.getSettings().getScriptClassLoader().loadClass("GeduneModPlugin");
        } catch (ClassNotFoundException ex2) {
            theresGed = false;
        }
        if (theresGed) {
            Global.getSector().addScript(new CitadelGeduneGen());
        }
        */
    }

    @Override
    public void onApplicationLoad() {
        try {
            Global.getSettings().getScriptClassLoader().loadClass("org.dark.shaders.util.ShaderLib");
        } catch (ClassNotFoundException ex) {
            return;
        }
        ShaderLib.init();
        LightData.readLightDataCSV("data/lights/citadel_light_data.csv");
        TextureData.readTextureDataCSV("data/lights/citadel_texture_data.csv");
    }
    

    @Override
    public void onNewGame() {
        initCIT();
    }

    public static final String PARABLOA_LRM_ID = "fox_ksupportmissile_proj";
    public static final String BLITZ_TORPEDO_ID = "fox_torp_missile";


    @Override
    public PluginPick<MissileAIPlugin> pickMissileAI(MissileAPI missile, ShipAPI launchingShip) {
        switch (missile.getProjectileSpecId()) {
            case PARABLOA_LRM_ID:
                return new PluginPick<MissileAIPlugin>(new ParabolaAI(missile, launchingShip), CampaignPlugin.PickPriority.MOD_SET);
            default:
        }
        switch (missile.getProjectileSpecId()) {
            case BLITZ_TORPEDO_ID   :
                return new PluginPick<MissileAIPlugin>(new ParabolaAI(missile, launchingShip), CampaignPlugin.PickPriority.MOD_SET);
            default:
        }
       return null;
    }
}
