package data.scripts.world.citadel;

import com.fs.starfarer.api.campaign.FactionAPI;
import com.fs.starfarer.api.campaign.RepLevel;
import com.fs.starfarer.api.campaign.SectorAPI;
import com.fs.starfarer.api.campaign.SectorGeneratorPlugin;
import com.fs.starfarer.api.impl.campaign.ids.Factions;
import com.fs.starfarer.api.impl.campaign.shared.SharedData;

public class DefendersGen implements SectorGeneratorPlugin{

    public void generate(SectorAPI sector) {
    
        initFactionRelationships(sector);
        SharedData.getData().getPersonBountyEventData().addParticipatingFaction("citadeldefenders");
        
        new Citadel().generate(sector);
    }

    private static void initFactionRelationships(SectorAPI sector) {

        FactionAPI citadel = sector.getFaction("citadeldefenders");
        FactionAPI hegemony = sector.getFaction(Factions.HEGEMONY);
        FactionAPI tritachyon = sector.getFaction(Factions.TRITACHYON);
        FactionAPI pirates = sector.getFaction(Factions.PIRATES);
        FactionAPI independent = sector.getFaction(Factions.INDEPENDENT);
        FactionAPI kol = sector.getFaction(Factions.KOL);
        FactionAPI church = sector.getFaction(Factions.LUDDIC_CHURCH);
        FactionAPI path = sector.getFaction(Factions.LUDDIC_PATH);
        FactionAPI player = sector.getFaction(Factions.PLAYER);
        FactionAPI diktat = sector.getFaction(Factions.DIKTAT);

        citadel.setRelationship(hegemony.getId(), RepLevel.INHOSPITABLE);
        citadel.setRelationship(diktat.getId(), RepLevel.HOSTILE);
        citadel.setRelationship(tritachyon.getId(), RepLevel.SUSPICIOUS);
        citadel.setRelationship(independent.getId(), RepLevel.COOPERATIVE);
        citadel.setRelationship(church.getId(), RepLevel.INHOSPITABLE);
        citadel.setRelationship(path.getId(), RepLevel.VENGEFUL);
        citadel.setRelationship(kol.getId(), RepLevel.NEUTRAL);
        citadel.setRelationship(player.getId(), RepLevel.WELCOMING);
        citadel.setRelationship(pirates.getId(), RepLevel.VENGEFUL);

        hegemony.setRelationship(citadel.getId(), RepLevel.INHOSPITABLE);
        diktat.setRelationship(citadel.getId(), RepLevel.SUSPICIOUS);
        tritachyon.setRelationship(citadel.getId(), RepLevel.FAVORABLE);
        independent.setRelationship(citadel.getId(), RepLevel.COOPERATIVE);
        church.setRelationship(citadel.getId(), RepLevel.INHOSPITABLE);
        path.setRelationship(citadel.getId(), RepLevel.VENGEFUL);
        kol.setRelationship(citadel.getId(), RepLevel.FAVORABLE);
        pirates.setRelationship(citadel.getId(), RepLevel.HOSTILE);
        
    }
}
